OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::HandDetector Class Reference

`#include <handDetector.hpp>`

## Public Member Functions
| HandDetector (const PoseModel poseModel)
virtual | ~HandDetector ()
std::vector< std::array < Rectangle< float >, 2 > > | detectHands (const Array< float > &poseKeypoints) const
std::vector< std::array < Rectangle< float >, 2 > > | trackHands (const Array< float > &poseKeypoints)
void | updateTracker (const std::array< Array< float >, 2 > &handKeypoints, const unsigned long long id)

## Constructor & Destructor Documentation

op::HandDetector::HandDetector | ( | const PoseModel | poseModel | ) |
| explicit

virtual op::HandDetector::~HandDetector | ( |  | ) |
| virtual

## Member Function Documentation

std::vector<std::array<Rectangle<float>, 2> > op::HandDetector::detectHands | ( | const Array< float > & | poseKeypoints | ) | const

std::vector<std::array<Rectangle<float>, 2> > op::HandDetector::trackHands | ( | const Array< float > & | poseKeypoints | ) |

void op::HandDetector::updateTracker | ( | const std::array< Array< float >, 2 > & | handKeypoints,
|  | const unsigned long long | id
| ) |  |

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/hand/handDetector.hpp